View Issue Details

IDProjectCategoryView StatusLast Update
0005906GNUnetARM servicepublic2019-10-27 14:50
Reporterxrs Assigned Toschanzen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSall 
Product Version0.11.6 
Target Version0.11.7Fixed in Version0.11.7 
Summary0005906: gnunet-arm -e hangs in two scenarios
Description"gnunet-arm -e" should end all gnunet services and end with exit code 0.

This behaviour depends on certain conditions.

1. No running services
If there are no running services in the same user context "gnunet-arm -e" will hang. Instead it should end abnormally with an exit code greater 0.

2. Running user services in multiuser setup
If user services are running, "gnunet-arm -e" in system user context will hang. One way to solve this is to end all user services if the system service was stopped. This could be problematic in terms of right management and privilege escalation. The solution here could be that it's the service managements duty to stop all user services before stopping the system services (which is all done by root).
TagsNo tags attached.

Activities

schanzen

2019-10-05 22:38

manager   ~0014977

This was fixed in a recent commit, right?

xrs

2019-10-27 14:50

manager   ~0015036

Case 1 is fixed.

Case 2 has no answere yet. But the alternative (service management) is also fine.

An interesting question is, if ending the system services should imply ending all user services. The same counts for restarting.

Issue History

Date Modified Username Field Change
2019-09-25 17:23 xrs New Issue
2019-09-25 17:25 xrs Description Updated View Revisions
2019-09-25 17:25 xrs Description Updated View Revisions
2019-10-05 22:38 schanzen Assigned To => schanzen
2019-10-05 22:38 schanzen Status new => feedback
2019-10-05 22:38 schanzen Note Added: 0014977
2019-10-27 14:50 xrs Status feedback => resolved
2019-10-27 14:50 xrs Resolution open => fixed
2019-10-27 14:50 xrs Fixed in Version => 0.11.7
2019-10-27 14:50 xrs Note Added: 0015036
2019-10-27 14:50 xrs Status resolved => closed